#version 400

uniform sampler2D s_HeightMap;
uniform mat4 u_ModelViewProj;

-- vs
layout(location = 0) in vec4 vs_Position;
out vec2 fs_TexCoord;

void main() {
	gl_Position = u_ModelViewProj * vs_Position;
	fs_TexCoord = vs_Position.xy * .5+.5;
}

-- fs
in vec2 fs_TexCoord;
out vec4 frag;

void main() {
	float h = texture2D(s_HeightMap, fs_TexCoord).x;
	frag = vec4(h, 0, 0, 1);
}